apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    kubemacpool.io/transaction-timestamp: '2025-03-04T06:21:11.970571169Z'
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
  resourceVersion: '4916101'
  name: mtv-function-win2022-test
  uid: d3c206fa-94ce-4725-b0a3-e841950dcd2e
  creationTimestamp: '2025-03-04T06:21:11Z'
  generation: 2
  managedFields:
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:labels':
            .: {}
            'f:migration': {}
            'f:plan': {}
            'f:vmID': {}
        'f:spec':
          .: {}
          'f:preference':
            .: {}
            'f:kind': {}
            'f:name': {}
          'f:running': {}
          'f:template':
            .: {}
            'f:metadata':
              .: {}
              'f:creationTimestamp': {}
              'f:labels':
                .: {}
                'f:app': {}
            'f:spec':
              .: {}
              'f:domain':
                .: {}
                'f:clock':
                  .: {}
                  'f:timezone': {}
                'f:cpu':
                  .: {}
                  'f:cores': {}
                  'f:sockets': {}
                'f:devices':
                  .: {}
                  'f:disks': {}
                  'f:inputs': {}
                  'f:interfaces': {}
                'f:firmware':
                  .: {}
                  'f:bootloader':
                    .: {}
                    'f:bios': {}
                  'f:serial': {}
                'f:memory':
                  .: {}
                  'f:guest': {}
                'f:resources': {}
              'f:networks': {}
              'f:volumes': {}
      manager: forklift-controller
      operation: Update
      time: '2025-03-04T06:21:11Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:kubevirt.io/latest-observed-api-version': {}
            'f:kubevirt.io/storage-observed-api-version': {}
          'f:finalizers':
            .: {}
            'v:"kubevirt.io/virtualMachineControllerFinalize"': {}
        'f:spec':
          'f:preference':
            'f:revisionName': {}
      manager: virt-controller
      operation: Update
      time: '2025-03-04T06:21:11Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:printableStatus': {}
          'f:runStrategy': {}
          'f:conditions': {}
          .: {}
          'f:ready': {}
          'f:volumeSnapshotStatuses': {}
          'f:observedGeneration': {}
          'f:created': {}
          'f:desiredGeneration': {}
      manager: virt-controller
      operation: Update
      subresource: status
      time: '2025-03-04T06:21:29Z'
  namespace: default
  finalizers:
    - kubevirt.io/virtualMachineControllerFinalize
  labels:
    migration: 2129a136-2b2e-46f1-9832-4574c62181e9
    plan: 9cf97fc7-f980-492b-9e20-4cff19a4bdab
    vmID: vm-277
spec:
  preference:
    kind: virtualmachineclusterpreference
    name: windows.2k22
    revisionName: mtv-function-win2022-test-windows.2k22-v1beta1-2a0c6921-e7a5-4942-9143-68e09b7bb6f8-1
  running: true
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: mtv-function-win2022-test
    spec:
      architecture: amd64
      domain:
        clock:
          timezone: UTC
        cpu:
          cores: 2
          sockets: 1
        devices:
          disks:
            - disk:
                bus: virtio
              name: vol-0
            - disk:
                bus: virtio
              name: vol-1
            - disk:
                bus: virtio
              name: vol-2
            - disk:
                bus: virtio
              name: vol-3
          inputs:
            - bus: virtio
              name: tablet
              type: tablet
          interfaces:
            - bridge: {}
              macAddress: '00:50:56:97:7c:8a'
              model: virtio
              name: net-0
            - bridge: {}
              macAddress: '00:50:56:97:52:e1'
              model: virtio
              name: net-1
        firmware:
          bootloader:
            bios: {}
          serial: 4217b105-cf12-98a9-47da-1abe6c52b15f
        machine:
          type: pc-q35-rhel9.4.0
        memory:
          guest: 4Gi
        resources: {}
      networks:
        - multus:
            networkName: default/mybridge1
          name: net-0
        - multus:
            networkName: default/mybridge
          name: net-1
      volumes:
        - name: vol-0
          persistentVolumeClaim:
            claimName: data-16mn77
        - name: vol-1
          persistentVolumeClaim:
            claimName: data-276l9s
        - name: vol-2
          persistentVolumeClaim:
            claimName: data-39rb4r
        - name: vol-3
          persistentVolumeClaim:
            claimName: root-0b8h6g
status:
  conditions:
    - lastProbeTime: null
      lastTransitionTime: '2025-03-04T06:21:20Z'
      status: 'True'
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: null
      message: 'cannot migrate VMI: Backend storage PVC is not RWX'
      reason: DisksNotLiveMigratable
      status: 'False'
      type: LiveMigratable
    - lastProbeTime: null
      lastTransitionTime: null
      message: 'NoTSCFrequencyNotLiveMigratable: HyperV Reenlightenment VMIs cannot migrate when TSC Frequency is not exposed on the cluster: guest timers might be inconsistent'
      reason: NotMigratable
      status: 'False'
      type: StorageLiveMigratable
  created: true
  desiredGeneration: 2
  observedGeneration: 2
  printableStatus: Running
  ready: true
  runStrategy: Always
  volumeSnapshotStatuses:
    - enabled: false
      name: vol-0
      reason: 'No VolumeSnapshotClass: Volume snapshots are not configured for this StorageClass [nfs-csi] [vol-0]'
    - enabled: false
      name: vol-1
      reason: 'No VolumeSnapshotClass: Volume snapshots are not configured for this StorageClass [nfs-csi] [vol-1]'
    - enabled: false
      name: vol-2
      reason: 'No VolumeSnapshotClass: Volume snapshots are not configured for this StorageClass [nfs-csi] [vol-2]'
    - enabled: false
      name: vol-3
      reason: 'No VolumeSnapshotClass: Volume snapshots are not configured for this StorageClass [nfs-csi] [vol-3]'
